<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>783913174964546560</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1634716613638</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <ParentId/>
          <MasterId/>
          <BizappId>/LSWHQ7US+Q6</BizappId>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>org</TargetFieldKey>
                      <SourceFieldKey>company</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>openorg</TargetFieldKey>
                      <SourceFieldKey>accountbank.openorg</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>bizdate</TargetFieldKey>
                      <SourceFieldKey>bizdate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>180951994582732800</Expression>
                          <Description/>
                          <ExprTran>销售回款</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>receivingtype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>bd_customer</Expression>
                          <Description/>
                          <ExprTran>客户</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>payertype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>txt_description</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>description</Expression>
                          <Description/>
                          <ExprTran>摘要</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeebank</TargetFieldKey>
                      <SourceFieldKey>bank</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>actrecamt</TargetFieldKey>
                      <SourceFieldKey>creditamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payername</TargetFieldKey>
                      <SourceFieldKey>customer.name</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeracctbanknum</TargetFieldKey>
                      <SourceFieldKey>oppbanknumber</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>900004</Expression>
                          <Description/>
                          <ExprTran>电汇</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>settletype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>payerformid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>MatchingEntity(company, oppunit)</Expression>
                          <Description/>
                          <ExprTran>MatchingEntity(资金组织, 对方单位)</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>payeraccformid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>MatchingEntity(company, oppunit)</Expression>
                          <Description/>
                          <ExprTran>MatchingEntity(资金组织, 对方单位)</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>accountbank</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>accountbank</Expression>
                          <Description/>
                          <ExprTran>账号</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>payerbankname</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>oppbank</Expression>
                          <Description/>
                          <ExprTran>对方开户行</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>currency</TargetFieldKey>
                      <SourceFieldKey>currency</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>sourcebilltype</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>'bei_transdetail_claim'</Expression>
                          <Description/>
                          <ExprTran>'bei_transdetail_claim'</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_actamt</TargetFieldKey>
                      <SourceFieldKey>creditamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_receivableamt</TargetFieldKey>
                      <SourceFieldKey>creditamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>recamount</TargetFieldKey>
                      <SourceFieldKey>recamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>category</TargetFieldKey>
                      <SourceFieldKey>category</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>settleremark</TargetFieldKey>
                      <SourceFieldKey>remark</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <PlugInPolicy>
                <PlugInPolicy>
                  <Plugins>
                    <CRPlugin>
                      <ClassName>kd.tmc.bei.opplugin.detail.CheckDetailConvertPlugin</ClassName>
                      <Seq>1</Seq>
                    </CRPlugin>
                    <CRPlugin>
                      <ClassName>kd.tmc.bei.business.convert.BankCheckFlagConverter</ClassName>
                      <Seq>2</Seq>
                    </CRPlugin>
                  </Plugins>
                </PlugInPolicy>
              </PlugInPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterString>{"filterRow":[{"id":"0F9O8UM0UAA/","leftBracket":"","compareType":"105","fieldName":"receredtype","rightBracket":"","logic":"0","value":[{"id":"0F9O8UM86CMV","value":"0"}],"baseDataIds":[]},{"id":"0F9O8UM824P0","leftBracket":"","compareType":"83","fieldName":"creditamount","rightBracket":"","logic":"0","value":[{"id":"0F9O8UM86CMW","value":"0"}],"baseDataIds":[]}],"forList":false}</FilterString>
                      <FilterCondition>
                        <FilterCondition>
                          <FilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>receredtype</FieldName>
                              <RightBracket/>
                              <Id>0F9O8UM0UAA/</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0F9O8UM86CMV</Id>
                                  <Value>0</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>83</CompareType>
                              <FieldName>creditamount</FieldName>
                              <RightBracket/>
                              <Id>0F9O8UM824P0</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>0F9O8UM86CMW</Id>
                                  <Value>0</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                          </FilterRow>
                        </FilterCondition>
                      </FilterCondition>
                      <Description/>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <TargetEntryKey>cas_recbill</TargetEntryKey>
                  <SourceEntryKey>bei_transdetail_claim</SourceEntryKey>
                  <LinkType>Link</LinkType>
                  <SourceLayout>bei_transdetail_claim</SourceLayout>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <efRule>false</efRule>
              <TargetEntityNumber>cas_recbill</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField/>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>OneToOne</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>转换规则</Name>
              <SourceEntityNumber>bei_transdetail_claim</SourceEntityNumber>
              <Id>783913174964546560</Id>
            </ConvertRuleElement>
          </RuleElement>
          <Id>783913174964546560</Id>
          <InheritPath/>
          <CreateDate>1576649732000</CreateDate>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>13466739</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1634716613685</Version>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <BizappId>/LSWHQ7US+Q6</BizappId>
      <TargetEntityNumber>cas_recbill</TargetEntityNumber>
      <SourceEntityNumber>bei_transdetail_claim</SourceEntityNumber>
      <Id>783913174964546560</Id>
      <InheritPath></InheritPath>
      <CreateDate>1576649732000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
