/* 被动付款入账自动匹配调度任务 */
DELETE FROM t_sch_taskdefine WHERE FID = '1102SR8G3YLZ';
INSERT INTO t_sch_taskdefine(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('1102SR8G3YLZ','kd.tmc.bei.business.task.recpayintel.IntelPayAutoMatchTask','bei','bei_IntelPayAutoMatchTask'); 

DELETE FROM t_sch_taskdefine_l WHERE FPKID = '1102SR8G643I';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1102SR8G3YLZ','1102SR8G643I','zh_CN','被动付款入账自动匹配调度'); 
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '1102SR8G643J';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1102SR8G3YLZ','1102SR8G643J','zh_TW','被動付款入賬自動匹配調度'); 

DELETE FROM T_SCH_JOB WHERE FID = '1103OMG6TT+F';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNBYUSERID,FJOBTYPE,FTIMEOUT,FRUNBYLANG,FSTATUS,FPARAMS,FRUNBYORGID,FNUMBER,FCONCURRENT) VALUES ('1103OMG6TT+F','kd.tmc.bei.business.task.recpayintel.IntelPayAutoMatchTask','1102SR8G3YLZ',13466739,'BIZ',0,'zh_CN','1',' ',0,'bei_IntelPayAutoMatchTask_SKDJ_S','1'); 

DELETE FROM T_SCH_JOB_l WHERE FPKID = '1103OMG6W+H/';
INSERT INTO T_SCH_JOB_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1103OMG6TT+F','1103OMG6W+H/','zh_CN','被动付款入账自动匹配调度'); 
DELETE FROM T_SCH_JOB_l WHERE FPKID = '1103OMG6W+H0';
INSERT INTO T_SCH_JOB_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1103OMG6TT+F','1103OMG6W+H0','zh_TW','被動付款入賬自動匹配調度'); 



/* 被动付款入账付款入账调度任务 */
DELETE FROM t_sch_taskdefine WHERE FID = '1102MSYW1UY7';
INSERT INTO t_sch_taskdefine(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('1102MSYW1UY7','kd.tmc.bei.business.task.recpayintel.IntelPayRuleTask','bei','bei_IntelPayRuleTask'); 

DELETE FROM t_sch_taskdefine_l WHERE FPKID = '1102MSYW40ES';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1102MSYW1UY7','1102MSYW40ES','zh_CN','被动付款入账调度'); 
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '1102MSYW40ET';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1102MSYW1UY7','1102MSYW40ET','zh_TW','被動付款入賬調度'); 

DELETE FROM T_SCH_JOB WHERE FID = '1103DTJ2DSEE';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNBYUSERID,FJOBTYPE,FTIMEOUT,FRUNBYLANG,FSTATUS,FPARAMS,FRUNBYORGID,FNUMBER,FCONCURRENT) VALUES ('1103DTJ2DSEE','kd.tmc.bei.business.task.recpayintel.IntelPayRuleTask','1102MSYW1UY7',13466739,'BIZ',0,' ','1',' ',0,'bei_IntelPayRuleTask_SKDJ_S','0'); 

DELETE FROM T_SCH_JOB_l WHERE FPKID = '1103DTJ2FZY+';
INSERT INTO T_SCH_JOB_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1103DTJ2DSEE','1103DTJ2FZY+','zh_CN','被动付款入账调度'); 
DELETE FROM T_SCH_JOB_l WHERE FPKID = '1103DTJ2FZY/';
INSERT INTO T_SCH_JOB_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1103DTJ2DSEE','1103DTJ2FZY/','zh_TW','被動付款入賬調度'); 




/* 收款入账中心自动匹配调度任务 */
DELETE FROM t_sch_taskdefine WHERE FID = '11HBS109EMU0';
INSERT INTO t_sch_taskdefine(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('11HBS109EMU0','kd.tmc.bei.business.task.recpayintel.IntelRecAutoMatchTask','bei','bei_IntelRecAutoMatchTask'); 

DELETE FROM t_sch_taskdefine_l WHERE FPKID = '11HBS109ABVF';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('11HBS109EMU0','11HBS109ABVF','zh_CN','收款入账中心自动匹配调度'); 
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '11HBS109ABVG';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('11HBS109EMU0','11HBS109ABVG','zh_TW','收款入賬中心自動匹配調度'); 

DELETE FROM T_SCH_JOB WHERE FID = '11HEQY+/ZT7E';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNBYUSERID,FJOBTYPE,FTIMEOUT,FRUNBYLANG,FSTATUS,FPARAMS,FRUNBYORGID,FNUMBER,FCONCURRENT) VALUES ('11HEQY+/ZT7E','kd.tmc.bei.business.task.recpayintel.IntelRecAutoMatchTask','11HBS109EMU0',13466739,'BIZ',0,' ','1',' ',0,'bei_IntelRecAutoMatchTask_SKDJ_S','1'); 

DELETE FROM T_SCH_JOB_l WHERE FPKID = '11HEQY+/VI8U';
INSERT INTO T_SCH_JOB_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('11HEQY+/ZT7E','11HEQY+/VI8U','zh_CN','收款入账中心自动匹配调度'); 
DELETE FROM T_SCH_JOB_l WHERE FPKID = '11HEQY+/VI8V';
INSERT INTO T_SCH_JOB_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('11HEQY+/ZT7E','11HEQY+/VI8V','zh_TW','收款入賬中心自動匹配調度'); 


/* 收款入账中心收款入账调度任务 */
DELETE FROM t_sch_taskdefine WHERE FID = '11HBJFBX6+NB';
INSERT INTO t_sch_taskdefine(FID,FCLASSNAME,FAPPID,FNUMBER) VALUES ('11HBJFBX6+NB','kd.tmc.bei.business.task.recpayintel.IntelRecRuleTask','bei','bei_IntelRecRuleTask'); 

DELETE FROM t_sch_taskdefine_l WHERE FPKID = '11HBJFBX1POR';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('11HBJFBX6+NB','11HBJFBX1POR','zh_CN','收款入账中心入账调度'); 
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '11HBJFBX1POS';
INSERT INTO t_sch_taskdefine_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('11HBJFBX6+NB','11HBJFBX1POS','zh_TW','收款入賬中心入賬調度'); 

DELETE FROM T_SCH_JOB WHERE FID = '11HEUDA7M67N';
INSERT INTO T_SCH_JOB(FID,FTASKCLASSNAME,FTASKDEFINEID,FRUNBYUSERID,FJOBTYPE,FTIMEOUT,FRUNBYLANG,FSTATUS,FPARAMS,FRUNBYORGID,FNUMBER,FCONCURRENT) VALUES ('11HEUDA7M67N','kd.tmc.bei.business.task.recpayintel.IntelRecRuleTask','11HBJFBX6+NB',13466739,'BIZ',0,' ','1',' ',0,'bei_IntelRecRuleTask_SKDJ_S','1'); 

DELETE FROM T_SCH_JOB_l WHERE FPKID = '11HEUDA7QG68';
INSERT INTO T_SCH_JOB_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('11HEUDA7M67N','11HEUDA7QG68','zh_CN','收款入账中心入账调度'); 
DELETE FROM T_SCH_JOB_l WHERE FPKID = '11HEUDA7QG69';
INSERT INTO T_SCH_JOB_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('11HEUDA7M67N','11HEUDA7QG69','zh_TW','收款入賬中心入賬調度'); 

